###################################################################################
# LabTestSim - Laboratory Test Simulator using Elastoplastic models               #
# Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>     #
#                                                                                 #
# This file is part of LabTestSim.                                                #
#                                                                                 #
# LabTestSim is free software; you can redistribute it and/or modify it under the #
# terms of the GNU General Public License as published by the Free Software       #
# Foundation; either version 2 of the License, or (at your option) any later      #
# version.                                                                        #
#                                                                                 #
# LabTestSim is distributed in the hope that it will be useful, but WITHOUT ANY   #
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A #
# PARTICULAR PURPOSE. See the GNU General Public License for more details.        #
#                                                                                 #
# You should have received a copy of the GNU General Public License along with    #
# LabTestSim; if not, write to the Free Software Foundation, Inc., 51 Franklin    #
# Street, Fifth Floor, Boston, MA 02110-1301, USA                                 #
###################################################################################

CC      = g++
CFLAGS  = -g -Wall
#CFLAGS  = -O2 -DNDEBUG
INCS    = -I ~/opt/include

DEPS = labtestsim.h readmat.h
SRCS = $(DEPS:.h=.cpp)
OBJS = $(SRCS:.cpp=.o)

test: $(OBJS)

%.o: %.cpp $(DEPS)
	$(CC) $(CFLAGS) $(INCS) -c $<

clean:
	rm -f *.o
